<template>
    <div class="app-container">
        <div is="dw_list" style="height:240pt"/>
        <el-tabs v-model="activeName" >
            <el-tab-pane label="基本信息" name="first"><div is="dw_base"/></el-tab-pane>
            <el-tab-pane label="门诊记录" name="second"><div is="dw_patouthosp"/></el-tab-pane>
            <el-tab-pane label="住院记录" name="third"><div is="dw_4"/></el-tab-pane>
            <el-tab-pane label="体检记录" name="fourth"><div is="dw_5"/></el-tab-pane>
        </el-tabs>
    </div>
</template>
<script>
export default {
    data() {
      return {
        activeName: 'first'
      };
    },
    components:
    {
        dw_list: ()=>import("@/smartor/dataobject/dw_patarchive_list.vue"),
        dw_base: ()=>import("@/smartor/dataobject/dw_patarchive_base.vue"),
        dw_patouthosp: ()=>import("@/smartor/dataobject/dw_patouthosp_list.vue"),
        dw_4: ()=>import("@/smartor/dataobject/dw_patarchive_list.vue"),
        dw_5: ()=>import("@/smartor/dataobject/dw_patarchive_list.vue"),
    }, 
    created() {
         //dw_list.getList(); 
    },
    selectionChanged(patid)
    {
        console.log("selection:"+patid)
    }
}
</script>
